Bug 67636 - SSL rpms not available for download
Summary: SSL rpms not available for download
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: unspecified
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-28 15:46 UTC by Matt Jamison
Modified: 2007-07-31 19:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 17:45:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josef Komenda 2002-06-28 15:46:06 UTC
Description of Problem: Screen 5 (ssl cert info) of the installer gives a URL
for downloading the SSL cert, but the installer does not currently copy this
cert to a directory. This currently has to be done by hand, post-install:

- mkdir /var/www/html/certs
- cp /etc/sysconfig/rhn/rhns-ca-cert* /var/www/html/certs/.


Version-Release number of selected component (if applicable): see bug 63780


Additional Information: This is related to bug 67630.

Comment 1 Adrian Likins 2002-07-01 21:07:37 UTC
fixed

Comment 2 Josef Komenda 2002-07-02 17:37:09 UTC
Hmm.. does not seem to work. I get this traceback: 

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 698, in onSslCertInfoPageNext
    self.satHostname)
  File "/mnt/cdrom//usr/share/rhn/satinstall/satInstall.py", line 372, in
genSslCerts
    sslCertGen.genCAKey(passwd)
  File "/mnt/cdrom//usr/share/rhn/satinstall/sslCertGen.py", line 26, in
genCAKey
    out = stdout.read()
IOError: [Errno 4] Interrupted system call



Comment 3 Josef Komenda 2002-07-02 17:50:27 UTC
Also, the directory is not in /var/www/html/, and the traceback seems to bork
the install in general - httpd does not start, for example.

Comment 4 Adrian Likins 2002-07-02 18:28:56 UTC
Hmm, the above doesnt make any sense.

Probabaly something related to trying to do
a status window for the schema load. I'll
take a look...


>Also, the directory is not in /var/www/html/

eh? I dont understand? what directory isnt in
/var/www/html.

I'm assuming that means client-certs isnt
in /var/www/html?

cvs code should fix it.


Comment 5 Ben Levenson 2002-07-09 20:50:24 UTC
The current installer.iso (09-Jul-2002 11:52) completes with the following
traceback. The RPMS are in '/etc/sysconfig/rhn', but are not copied to 
'/var/www/html/client-certs'.

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 716, in onSslCertInfoPageNext
    self.satHostname)
  File "/mnt/cdrom//usr/share/rhn/satinstall/satInstall.py", line 401, in
genSslCerts
    sslCertGen.deployClientCertRPMS()
  File "/mnt/cdrom//usr/share/rhn/satinstall/sslCertGen.py", line 174, in
deployClientCertRPMS
    shutil.copy(filenames[0], "/var/www/html/client-certs/")
IndexError: list index out of range


Comment 6 Adrian Likins 2002-07-10 17:45:21 UTC
this should be fixed now in cvs

Comment 7 Josef Komenda 2002-07-10 21:13:17 UTC
Fixed in latest installer (installer_10jul02_1521.iso). Closing.


Note You need to log in before you can comment on or make changes to this bug.